Bug 143468 - rpm --import fails
Summary: rpm --import fails
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-21 09:53 UTC by Nigel Horne
Modified: 2014-01-21 22:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-19 07:19:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nigel Horne 2004-12-21 09:53:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
Running yum update tells you to run rpm --import, but that command
doesn't work so yum fails.

Version-Release number of selected component (if applicable):
yum-2.1.11-3

How reproducible:
Always

Steps to Reproduce:
1. Start kde
2. Start terminal
3. Run yum update
Run advised rpm --import
    

Actual Results:  error: public.gpg.key: import read failed.

Expected Results:  Yum should download patches

Additional info:

[root@njh RPMS]# yum update

You have enabled checking of packages via GPG keys. This is a good thing.
However, you do not have any GPG public keys installed. You need to
download
the keys for packages you wish to install and install them.
You can do that by running the command:
    rpm --import public.gpg.key
For more information contact your distribution or package provider.
[root@njh RPMS]# rpm --import public.gpg.key
error: public.gpg.key: import read failed.
[root@njh RPMS]#

Comment 1 Nigel Horne 2004-12-21 09:59:50 UTC
Further investigation shows that the error message should have said:

rpm --import http://www.fedora.us/FEDORA-GPG-KEY

NOT

rpm --import public.gpg.key

Comment 2 Seth Vidal 2005-01-19 07:19:00 UTC
Closing this as steps taken in the yum code now provide a better solution than this.


Note You need to log in before you can comment on or make changes to this bug.